# OqlSelectQuery Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlSelectQuery:
[legend]

List of all members.

## Public Member Functions

| isDistinct ()
| setDistinct ($orly=true)
| getProperties ()
| addProperties (OqlSelectPropertiesClause $clause)
| setProperties (OqlSelectPropertiesClause $clause)
| dropProperties ()
| getWhere ()
| getWhereLogic ()
| where (OqlWhereClause $clause, $logic=null)
| andWhere (OqlWhereClause $clause)
| orWhere (OqlWhereClause $clause)
| setWhere (OqlWhereClause $clause)
| dropWhere ()
| getGroupBy ()
| addGroupBy (OqlProjectionClause $clause)
| setGroupBy (OqlProjectionClause $clause)
| dropGroupBy ()
| getOrderBy ()
| addOrderBy (OqlOrderByClause $clause)
| setOrderBy (OqlOrderByClause $clause)
| dropOrderBy ()
| getHaving ()
| addHaving (OqlHavingClause $clause)
| setHaving (OqlHavingClause $clause)
| dropHaving ()
| getLimit ()
| setLimit (OqlQueryParameter $limit)
| getOffset ()
| setOffset (OqlQueryParameter $offset)
| toCriteria ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $distinct = false
| $properties = array()
| $where = array()
| $whereLogic = array()
| $groupChain = array()
| $orderChain = array()
| $havingChain = array()
| $limit = null
| $offset = null

## Detailed Description

Definition at line 15 of file OqlSelectQuery.class.php.

## Member Function Documentation

OqlSelectQuery::addGroupBy | ( | OqlProjectionClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 168 of file OqlSelectQuery.class.php.

OqlSelectQuery::addHaving | ( | OqlHavingClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 240 of file OqlSelectQuery.class.php.

OqlSelectQuery::addOrderBy | ( | OqlOrderByClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 204 of file OqlSelectQuery.class.php.

OqlSelectQuery::addProperties | ( | OqlSelectPropertiesClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 58 of file OqlSelectQuery.class.php.

OqlSelectQuery::andWhere | ( | OqlWhereClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 120 of file OqlSelectQuery.class.php.

References BinaryExpression::EXPRESSION_AND, and where().

Here is the call graph for this function:

static OqlSelectQuery::create | ( |  | ) | `[static]`

Returns:
  OqlSelectQuery

Definition at line 30 of file OqlSelectQuery.class.php.

Referenced by toCriteria().

OqlSelectQuery::dropGroupBy | ( |  | ) |

Returns:
  OqlSelectQuery

Definition at line 189 of file OqlSelectQuery.class.php.

OqlSelectQuery::dropHaving | ( |  | ) |

Returns:
  OqlSelectQuery

Definition at line 261 of file OqlSelectQuery.class.php.

OqlSelectQuery::dropOrderBy | ( |  | ) |

Returns:
  OqlSelectQuery

Definition at line 225 of file OqlSelectQuery.class.php.

OqlSelectQuery::dropProperties | ( |  | ) |

Returns:
  OqlSelectQuery

Definition at line 79 of file OqlSelectQuery.class.php.

OqlSelectQuery::dropWhere | ( |  | ) |

Returns:
  OqlSelectQuery

Definition at line 152 of file OqlSelectQuery.class.php.

References where().

Here is the call graph for this function:

OqlSelectQuery::getGroupBy | ( |  | ) |

Definition at line 160 of file OqlSelectQuery.class.php.

OqlSelectQuery::getHaving | ( |  | ) |

Definition at line 232 of file OqlSelectQuery.class.php.

OqlSelectQuery::getLimit | ( |  | ) |

Returns:
  OqlQueryParameter

Definition at line 270 of file OqlSelectQuery.class.php.

OqlSelectQuery::getOffset | ( |  | ) |

Returns:
  OqlQueryParameter

Definition at line 288 of file OqlSelectQuery.class.php.

OqlSelectQuery::getOrderBy | ( |  | ) |

Definition at line 196 of file OqlSelectQuery.class.php.

OqlSelectQuery::getProperties | ( |  | ) |

Definition at line 50 of file OqlSelectQuery.class.php.

OqlSelectQuery::getWhere | ( |  | ) |

Definition at line 86 of file OqlSelectQuery.class.php.

OqlSelectQuery::getWhereLogic | ( |  | ) |

Definition at line 91 of file OqlSelectQuery.class.php.

OqlSelectQuery::isDistinct | ( |  | ) |

Definition at line 35 of file OqlSelectQuery.class.php.

OqlSelectQuery::orWhere | ( | OqlWhereClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 130 of file OqlSelectQuery.class.php.

References BinaryExpression::EXPRESSION_OR, and where().

Here is the call graph for this function:

OqlSelectQuery::setDistinct | ( | $ | orly = `true` | ) |

Returns:
  OqlSelectQuery

Definition at line 43 of file OqlSelectQuery.class.php.

Referenced by toCriteria().

OqlSelectQuery::setGroupBy | ( | OqlProjectionClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 178 of file OqlSelectQuery.class.php.

OqlSelectQuery::setHaving | ( | OqlHavingClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 250 of file OqlSelectQuery.class.php.

OqlSelectQuery::setLimit | ( | OqlQueryParameter $ | limit | ) |

Returns:
  OqlSelectQuery

Definition at line 278 of file OqlSelectQuery.class.php.

OqlSelectQuery::setOffset | ( | OqlQueryParameter $ | offset | ) |

Returns:
  OqlSelectQuery

Definition at line 296 of file OqlSelectQuery.class.php.

OqlSelectQuery::setOrderBy | ( | OqlOrderByClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 214 of file OqlSelectQuery.class.php.

OqlSelectQuery::setProperties | ( | OqlSelectPropertiesClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 68 of file OqlSelectQuery.class.php.

OqlSelectQuery::setWhere | ( | OqlWhereClause $ | clause | ) |

Returns:
  OqlSelectQuery

Definition at line 140 of file OqlSelectQuery.class.php.

References where().

Here is the call graph for this function:

OqlSelectQuery::toCriteria | ( |  | ) |

Returns:
  Criteria

Definition at line 306 of file OqlSelectQuery.class.php.

References OqlQueryClause::bindAll(), Expression::chain(), create(), BinaryExpression::EXPRESSION_AND, setDistinct(), and where().

Here is the call graph for this function:

OqlSelectQuery::where | ( | OqlWhereClause $ | clause,
|  | $ | logic = `null` |
| ) |  |  |

Returns:
  OqlSelectQuery

Definition at line 99 of file OqlSelectQuery.class.php.

Referenced by andWhere(), dropWhere(), orWhere(), setWhere(), and toCriteria().

## Member Data Documentation

OqlSelectQuery::$distinct = false`[private]`

Definition at line 17 of file OqlSelectQuery.class.php.

OqlSelectQuery::$groupChain = array()`[private]`

Definition at line 21 of file OqlSelectQuery.class.php.

OqlSelectQuery::$havingChain = array()`[private]`

Definition at line 23 of file OqlSelectQuery.class.php.

OqlSelectQuery::$limit = null`[private]`

Definition at line 24 of file OqlSelectQuery.class.php.

OqlSelectQuery::$offset = null`[private]`

Definition at line 25 of file OqlSelectQuery.class.php.

OqlSelectQuery::$orderChain = array()`[private]`

Definition at line 22 of file OqlSelectQuery.class.php.

OqlSelectQuery::$properties = array()`[private]`

Definition at line 18 of file OqlSelectQuery.class.php.

OqlSelectQuery::$where = array()`[private]`

Definition at line 19 of file OqlSelectQuery.class.php.

OqlSelectQuery::$whereLogic = array()`[private]`

Definition at line 20 of file OqlSelectQuery.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Statements/OqlSelectQuery.class.php